org.eclipse.emf.facet.query.java.metamodel.v0_2_0.javaquery

## Interface JavaQueryPackage

    public interface JavaQueryPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `JavaQueryFactory`
Generated:
Model:
  kind="package"
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Nested Class Summary

Nested Classes
`static interface` `JavaQueryPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static JavaQueryPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `JAVA_QUERY` The meta object id for the '`Java Query`' class.
`static int` `JAVA_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `JAVA_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `JAVA_QUERY__IMPLEMENTATION_CLASS_NAME` The feature id for the 'Implementation Class Name' attribute.
`static int` `JAVA_QUERY_FEATURE_COUNT` The number of structural features of the 'Java Query' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`EAttribute` `getJavaQuery_ImplementationClassName()` Returns the meta object for the attribute '`Implementation Class Name`'.
`EClass` `getJavaQuery()` Returns the meta object for class '`Java Query`'.
`JavaQueryFactory` `getJavaQueryFactory()` Returns the factory that creates the instances of the model.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final JavaQueryPackage eINSTANCE

The singleton instance of the package.

Generated:

#### JAVA_QUERY

    static final int JAVA_QUERY

The meta object id for the '`Java Query`' class.

See Also:
  `org.eclipse.emf.facet.query.java.metamodel.v0_2_0.javaquery.impl.JavaQueryImpl`, `org.eclipse.emf.facet.query.java.metamodel.v0_2_0.javaquery.impl.JavaQueryPackageImpl#getJavaQuery()`, Constant Field Values
Generated:

#### JAVA_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int JAVA_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### JAVA_QUERY__CAN_BE_CACHED

    static final int JAVA_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### JAVA_QUERY__IMPLEMENTATION_CLASS_NAME

    static final int JAVA_QUERY__IMPLEMENTATION_CLASS_NAME

The feature id for the 'Implementation Class Name' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### JAVA_QUERY_FEATURE_COUNT

    static final int JAVA_QUERY_FEATURE_COUNT

The number of structural features of the 'Java Query' class.

See Also:
  Constant Field Values
Generated:
Ordered:

### Method Detail

#### getJavaQuery

    EClass getJavaQuery()

Returns the meta object for class '`Java Query`'.

Returns:
  the meta object for class 'Java Query'.
See Also:
  `JavaQuery`
Generated:

#### getJavaQuery_ImplementationClassName

    EAttribute getJavaQuery_ImplementationClassName()

Returns the meta object for the attribute '`Implementation Class Name`'.

Returns:
  the meta object for the attribute 'Implementation Class Name'.
See Also:
  `JavaQuery.getImplementationClassName()`, `getJavaQuery()`
Generated:

#### getJavaQueryFactory

    JavaQueryFactory getJavaQueryFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: